Skip to main content
GET
/
api
/
v2
/
swaps
/
{swapId}
/
deposit_actions
Get Deposit Actions
curl --request GET \
  --url https://api.layerswap.io/api/v2/swaps/{swapId}/deposit_actions \
  --header 'X-LS-APIKEY: <api-key>'
import requests

url = "https://api.layerswap.io/api/v2/swaps/{swapId}/deposit_actions"

headers = {"X-LS-APIKEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-LS-APIKEY': '<api-key>'}};

fetch('https://api.layerswap.io/api/v2/swaps/{swapId}/deposit_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "metadata": {}
  },
  "data": [
    {
      "type": "<string>",
      "to_address": "<string>",
      "amount": 123,
      "order": 123,
      "amount_in_base_units": "<string>",
      "network": {
        "name": "<string>",
        "display_name": "<string>",
        "logo": "<string>",
        "chain_id": "<string>",
        "node_url": "<string>",
        "nodes": [
          "<string>"
        ],
        "transaction_explorer_template": "<string>",
        "account_explorer_template": "<string>",
        "source_rank": 123,
        "destination_rank": 123,
        "token": {
          "symbol": "<string>",
          "display_asset": "<string>",
          "logo": "<string>",
          "contract": "<string>",
          "decimals": 123,
          "price_in_usd": 123,
          "precision": 123,
          "listing_date": "2023-11-07T05:31:56Z",
          "source_rank": 123,
          "destination_rank": 123,
          "group": "<string>",
          "supports_gasless_deposit": true
        },
        "metadata": {
          "listing_date": "2023-11-07T05:31:56Z",
          "evm_oracle_contract": "<string>",
          "evm_multicall_contract": "<string>",
          "zks_paymaster_contract": "<string>",
          "watchdog_contract": "<string>"
        },
        "deposit_methods": [
          "<string>"
        ]
      },
      "token": {
        "symbol": "<string>",
        "display_asset": "<string>",
        "logo": "<string>",
        "contract": "<string>",
        "decimals": 123,
        "price_in_usd": 123,
        "precision": 123,
        "listing_date": "2023-11-07T05:31:56Z",
        "source_rank": 123,
        "destination_rank": 123,
        "group": "<string>",
        "supports_gasless_deposit": true
      },
      "fee_token": {
        "symbol": "<string>",
        "display_asset": "<string>",
        "logo": "<string>",
        "contract": "<string>",
        "decimals": 123,
        "price_in_usd": 123,
        "precision": 123,
        "listing_date": "2023-11-07T05:31:56Z",
        "source_rank": 123,
        "destination_rank": 123,
        "group": "<string>",
        "supports_gasless_deposit": true
      },
      "call_data": "<string>",
      "gas_limit": "<string>",
      "encoded_args": [
        "<string>"
      ],
      "valid_after": 123,
      "valid_before": 123,
      "nonce": "<string>",
      "typed_data": {
        "options": {
          "property_name_case_insensitive": true
        },
        "parent": "<unknown>",
        "root": "<unknown>"
      }
    }
  ]
}

Authorizations

X-LS-APIKEY
string
header
required

Headers

X-LS-APIKEY
string
default:NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q

Path Parameters

swapId
string<uuid>
required

Query Parameters

source_address
string

Response

200 - application/json

Success

error
object
data
object[] | null